<template>
  <header >
    <nav >
      <router-link class="link" to="/">
        {{ $t('Home') }}
      </router-link>
      <router-link class="link" v-if="user.role === 'admin'" to="/create">
        {{ $t('CreateTest') }}
        
      </router-link>

      <div style="margin-left: auto" v-if="user.isLoggedIn">
        <p>
          {{ user.role === "admin" ? $t('Admin')+":" : $t('User')+":" }}
          {{ user.email }}
        </p>
      </div>
      <div style="margin-left: auto" v-else>
        <router-link to="/login">
          <button class="button"> {{ $t('Login') }}</button>
        </router-link>
      </div>
      <div class="locale-changer">
        <select v-model="$i18n.locale">
          <option v-for="locale in $i18n.availableLocales" :key="`locale-${locale}`" :value="locale">{{ locale }}</option>
        </select>
     </div>
    </nav>
  </header>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: "HeaderVue",
  components: {},
  computed: {
    ...mapState(["tests", "user"]),
  },
};
</script>

<style scoped>
nav {
  display: flex;
  align-items: center;
  padding: 20px;
}
p {
  margin: 0;
}
header {
  border: black solid 2px;
  border-radius: 10px;
  background-color: whitesmoke;
}
button{
  border: black solid 2px;
  border-radius: 10px;
  background-color: rgb(122, 25, 122);
  color: white;
}
.link {
  color:white;
  background-color:rgb(122, 25, 122);
  border: 2px solid black;
  border-radius: 7px;
  margin-right: 10px;
}
.link:hover{
  background-color:black;
  transition-delay: 0.1s; 
}
a {
  text-decoration: none;
}
</style>
